/** 
  *  ======================================================================
  *  DemoSimpleGrid.java. Create simple GUI with panel ...
  * 
  *  Written By : Mark Austin                                  October 2011
  *  ======================================================================
  */ 

import java.lang.Math.*;
import java.applet.*;
import java.util.*;
import java.io.*;
import java.text.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.Color;
import java.awt.font.*;
import java.awt.image.*;
import java.awt.geom.*;   // Needed for affine transformation....
import java.net.URL;

public class DemoSimpleGrid {
    public static void main( String args[] ) {

       // Create graphics screen ....

       SimpleScreen canvas = new SimpleScreen();
       canvas.setBackground( Color.white );

       // 5. Create a scroll pane and add the panel to it.

       JScrollPane scrollCanvas = new JScrollPane( canvas,
                     JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED,
                     JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);

       // Create menu toolbar ...

       JToolBar toolBar = new SimpleScreenToolBar( canvas );

       // Create buttons for panel along bottom of screen ...

       JPanel panel = new JPanel();
       panel.setLayout( new BorderLayout() );
       panel.add(      toolBar, BorderLayout.NORTH );
       panel.add( scrollCanvas, BorderLayout.CENTER );

       JFrame frame = new JFrame("Display Compound Shapes");
       frame.getContentPane().setLayout( new BorderLayout() );
       frame.getContentPane().add( panel );
       frame.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
       frame.setSize( 900, 800);
       frame.setVisible(true);
    }
}

/*
 *  =================================================================
 *  This class listens for action events associated with the buttons.
 *  =================================================================
 */

class ButtonAction implements ActionListener {
      private JButton b;
      private SimpleScreen gs;

      public ButtonAction ( JButton b, SimpleScreen gs ) {
         this.b  = b;
         this.gs = gs;
      }

      public void actionPerformed ( ActionEvent e ) {
         String s = new String( e.getActionCommand() );

         // Clear Screen ....

         if( s.compareTo("Clear") == 0 ) { gs.clearScreen(); }

         // Draw Grid ....

         if( s.compareTo("Switch Grid") == 0 ) {
             if ( gs.grop.getGrid() == false ) 
                  gs.grop.setGrid( true );
             else
                  gs.grop.setGrid( false );
              
             gs.paint();
         }

         // Draw border around region ...

         if( s.compareTo("Border") == 0 ) {
             if ( gs.grop.getBorder() == false )
                  gs.grop.setBorder( true );
             else
                  gs.grop.setBorder( false );

             gs.paint();
         }
      }
}
