/**
  *  =====================================================================
  *  CarShape.java: Construct a car shape.
  *
  *  =====================================================================
  */

package shape;

import java.awt.*;
import java.awt.geom.*;

public class CarShape extends CompoundShape {

   public CarShape( int x, int y, int width) {

      // Save corner reference point and width of shape ...

      this.x      = (double) x;
      this.y      = (double) y;
      this.width  = (double) width;
      this.height = (double) (1.0/2.0)*width;

      // Now create shape with x = y = 0....

      x = 0; y = 0;

      Rectangle2D.Double    body = new Rectangle2D.Double(x, y + width / 6, width - 1, width / 6);
      Ellipse2D.Double frontTire = new Ellipse2D.Double(x +     width / 6, y + width / 3, width / 6, width / 6);
      Ellipse2D.Double rearTire  = new Ellipse2D.Double(x + width * 2 / 3, y + width / 3, width / 6, width / 6);

      // The bottom of the front windshield

      Point2D.Double r1 = new Point2D.Double(x + width / 6, y + width / 6);

      // The front of the roof

      Point2D.Double r2 = new Point2D.Double(x +     width / 3, y);

      // The rear of the roof

      Point2D.Double r3 = new Point2D.Double(x + width * 2 / 3, y);

      // The bottom of the rear windshield

      Point2D.Double r4 = new Point2D.Double(x + width * 5 / 6, y + width / 6);

      Line2D.Double frontWindshield = new Line2D.Double( r1, r2 );
      Line2D.Double roofTop         = new Line2D.Double( r2, r3 );
      Line2D.Double rearWindshield  = new Line2D.Double( r3, r4 );

      add(body);
      add(frontTire);
      add(rearTire);
      add(frontWindshield);
      add(roofTop);
      add(rearWindshield);
   }
}
