/**
  *  =====================================================================
  *  CircleShape.java: Construct a circle shape centered at (x,y) with 
  *                    radius r = width/2.
  *
  *  =====================================================================
  */

package shape;

import java.awt.*;
import java.awt.geom.*;

public class CircleShape extends CompoundShape {

   public CircleShape( int x, int y, int width ) {

      // Save corner reference point and width of shape ...

      this.x      = (double) (x - ((double) (width/2)));
      this.y      = (double) (y + ((double) (width/2)));
      this.width  = (double) width;
      this.height = (double) width;

      // Now create shape with x = y = 0....

      Ellipse2D.Double circle = new Ellipse2D.Double( 0.0, 0.0, (double) width, (double) width );

      add(circle);
   }
}
