/**
  *  =====================================================================
  *  HouseShape.java: Construct a house shape.
  *
  *     @param x the left of the bounding rectangle
  *     @param y the top of the bounding rectangle
  *     @param width the width of the bounding rectangle
  *
  *  =====================================================================
  */

package shape;

import java.awt.*;
import java.awt.geom.*;

public class HouseShape extends CompoundShape {

   public HouseShape( int x, int y, int width) {

      // Save corner reference point for shape ...

      this.x = (double) x;
      this.y = (double) y;
      this.width  = (double) width;
      this.height = (double) width;

      // Now create shape with x = y = 0....

      x = 0; y = 0;

      Rectangle2D.Double base = new Rectangle2D.Double(0, width/2, width, width/2);

      Point2D.Double r1 = new Point2D.Double(       0, width/2); // Left bottom of roof
      Point2D.Double r2 = new Point2D.Double( width/2,       0); // Top of roof
      Point2D.Double r3 = new Point2D.Double(   width, width/2); // Right bottom of roof

      Line2D.Double roofLeft  = new Line2D.Double(r1, r2);
      Line2D.Double roofRight = new Line2D.Double(r2, r3);

      add(base);
      add(roofLeft);
      add(roofRight);
   }
}
